﻿using System.Windows;

using DevExpress.Data;
using DevExpress.Xpf.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.ItemsSource = new AccountList().GetData();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 전체 요약 생성하기 - CreateTotalSummary()

        /// <summary>
        /// 전체 요약 생성하기
        /// </summary>
        private void CreateTotalSummary()
        {
            this.gridControl.TotalSummary.Add
            (
                new GridSummaryItem()
                {
                    FieldName     = "UserName",
                    SummaryType   = SummaryItemType.Count,
                    DisplayFormat = "Total Users : {0}"
                }
            );

            this.gridControl.TotalSummary.Add
            (
                new GridSummaryItem()
                {
                    FieldName   = "Age",
                    SummaryType = SummaryItemType.Min
                }
            );

            this.gridControl.TotalSummary.Add
            (
                new GridSummaryItem()
                {
                    FieldName   = "Age",
                    SummaryType = SummaryItemType.Max
                }
            );
        }

        #endregion
    }
}